
#version 330 core
in vec2 texCoord;
in vec4 vertexFragColor;
out vec4 fragColor;


uniform sampler2D texture0;
uniform float tim3 = 21.0;
uniform float speedX = -0.1;
uniform float speedY = 0.3;
uniform float video = 0.0;
uniform float value1 = 1.0;
uniform float value2 = 0.5;
uniform float value3 = 2.0;
uniform float value4 = 2.0;
uniform float contrast = 0.025;
uniform float alpha = 1.0;
uniform vec4 color = vec4(1);
uniform vec3 colorr = vec3(1);
void main()
{
vec4 colors;
	float t = tim3;
    	vec2 xy = texCoord.xy;
		xy.y=xy.y+.5;



    xy.y += step(xy.y, .5) * (0.5-xy.y) * 3.0;
    xy=xy*value3;
    xy.x += .5*t;
    xy.y -= sin(t) * speedY; //step(sin(t),0.2);

	xy.x += value1;
	xy.y += value2;
	   float blursize=20;
   float range=floor(blursize/2.);

      vec4 color2=texture(texture0,xy);

	
	 
	  fragColor=color2;
	  
 
}